petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetNorms

Gets the computed norms for for X, Y, and F.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetNorms(SNESLineSearch linesearch, PetscReal xnorm, PetscReal fnorm, PetscReal ynorm)

### Input Parameters

| linesearch | - linesearch context Many br
| xnorm | - The norm of the current solution Many br
| fnorm | - The norm of the current function Many br
| ynorm | - The norm of the current update Many br

Many br

### See Also

SNESLineSearchGetNorms(), SNESLineSearchSetVecs()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1f.F.html